package cn.com.infosec.asn1.teletrust;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class TeleTrusTNamedCurves$7 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      ECCurve.Fp var3;
      ECCurve.Fp var10000 = var3 = new ECCurve.Fp;
      BigInteger var10001 = new BigInteger("A9FB57DBA1EEA9BC3E660A909D838D726E3BF623D52620282013481D1F6E5377", 16);
      BigInteger var1;
      var1 = new BigInteger.<init>("7D5A0975FC2C3057EEF67530417AFFE7FB8055C126DC5C6CE94A4B44F330B5D9", 16);
      BigInteger var2;
      var2 = new BigInteger.<init>("26DC5C6CE94A4B44F330B5D9BBD77CBF958416295CF7E1CE6BCCDC18FF8C07B6", 16);
      var10000.<init>(var10001, var1, var2);
      ECCurve.Fp var10002 = var3;
      ECPoint var4 = var3.decodePoint(Hex.decode("048BD2AEB9CB7E57CB2C4B482FFC81B7AFB9DE27E1E3BD23C23A4453BD9ACE3262547EF835C3DAC4FD97F8461A14611DC9C27745132DED8E545C1D54C72F046997"));
      var1 = new BigInteger.<init>("A9FB57DBA1EEA9BC3E660A909D838D718C397AA3B561A6F7901E0E82974856A7", 16);
      var2 = new BigInteger.<init>("01", 16);
      return new X9ECParameters(var10002, var4, var1, var2);
   }
}
